// MyCar.cpp : implementation file
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include "MyStream.h"
#include "MyCar.h"

CMyCar::CMyCar(int hi, int mi, int si, char* ni, char* ci){
  hp = hi;
  cyls = mi;
  year = si;
  name = new char[BUFLEN];
  strcpy(name, ni);
  comment = new char[BUFLEN];
  strcpy(comment, ci);
  myofs << " CMyCar:      , ";
  myofs << *this << endl; 
 }

CMyCar::CMyCar(char* txt){
  hp = 160;
  cyls = 4;
  year = 2004;
  name = new char[BUFLEN];
  strcpy(name, txt);
  comment = new char[BUFLEN];
  strcpy(comment, "CMyCar:      .");
 }

CMyCar::~CMyCar(){
  myofs << "CMyCar: in destructor, this=" << this << ", *this="; 
  myofs << *this << endl; 
  delete name;
  delete comment;
}
int CMyCar::Setcomment(char* txt){
  strcpy(comment, txt);
  return false;
}
int CMyCar::Setcyls(int m){
  int prevmin=cyls;
  cyls = m;
  return prevmin;
}
int CMyCar::Setyear(int s){
  int prevsec=year;
  year = s;
  return prevsec;
}

ofstream& operator<<(ofstream& ofs, CMyCar& cmt){
  myofs << "(" << cmt.hp << ", " << cmt.cyls << ", " << cmt.year; 
  myofs << ") <" << cmt.name << "> <" << cmt.comment << ">";  
  return ofs;
}
